LINUX.ORG.RU

Проблема с установкой wine в ubuntu 17.10

 ,


0

1

Если я устанавливаю wine из wine репозитория, то при установке возникает ошибка:

dpkg: error processing archive /tmp/apt-dpkg-install-Jr9k6i/48-libsane1_1.0.27-1~experimental2ubuntu2.1_i386.deb (--unpack):
 trying to overwrite shared '/lib/udev/hwdb.d/20-sane.hwdb', which is different from other instances of package libsane1:i386
и wine работает нестабильно. То, что должно запускаться без проблем, не запускается.

Если устанавливать виртуальный пакет wine из репозитория ubuntu, такой ошибки нет, но и версия старая.

Поиск в сети выдает кучу похожих вопросов, но ни одного нормального ответа на них.

Кто-нибудь сталкивался с этим и как решить проблему?


Ответ на: комментарий от anonymous

anonymous ты вопрос читал? Из репозитория ubuntu wine устанавливается нормально, но я хочу новую версию wine, которая из репозитория winehq не устанавливается.

Тем более, по ссылке при попытке добавить репозиторий из ubuntu wiki, я получаю

Cannot add PPA: 'ppa:~wine/ubuntu/wine-builds'.
The team named '~wine' has no PPA named 'ubuntu/wine-builds'
Please choose from the following available PPAs:
 * 'test-builds':  test-builds
 * 'wine-builds':  Official Wine builds (DEPRECATED

Т.е. информация по ссылке устарела.

denko ()

преходи на арч, там всегда свежак

anonymous ()
Ответ на: комментарий от denko

По мне так удобнее пользоваться PoL и переключатся между версиями wine как заблагорассудится.

Aber ★★★★★ ()
Ответ на: комментарий от amd_amd

Включать репы debian в убунту не хочется, это все-таки разные истрибутивы. Придется, видимо, ждать ubuntu 18.04 и надеяться, что пофиксят баг. Он не только у меня, в сети полно таких тем.

denko ()
Ответ на: комментарий от Kron4ek

Так зависимости как раз и не ставятся. Не ставится libsane1:i386 и это баг именно в ubuntu. Думал удалить libsane1, но вместе с ним что-то много пакетов удалится, так что решил этого не делать.

И вайн без него не запускает то, что должен нормально запускать. Хотя, по идее, libsane нужен чтобы работать со сканнерами и типа того, так что не должен влиять на весь вайн...

denko ()
Ответ на: комментарий от denko
Думал удалить libsane1

думал далить пакет и заного поставить

denko ()
Ответ на: комментарий от denko

вайн без него не запускает то, что должен нормально запускать.

Тогда это неправильный пакет, libsane является рекомендованной зависимостью, а не жесткой (по крайней мере, в Debian так) и, как ты и сказал, не влияет на запуск программ.

p.s. Посмотрел, какие зависимости имеет в Wine в репозитории WineHQ - libsane является рекомендованным. Ставь Wine добавив --no-install-recommends к команде apt-get:

# apt-get install wine --no-install-recommends

Kron4ek ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.